> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/exports.md).

# Exports

## Overview

Exports can be used to download a Redivis table in various common formats. All exports must first be created (via [export.post](/api/rest-api/exports/post.md)), and then polled (via [export.get](/api/rest-api/exports/get.md)) until it is completed. The output file can then be downloaded via [export.download](/api/rest-api/exports/download.md).

Exports are the recommend approach to extract large tables from Redivis, and is required for all tables over 100GB. For smaller tables, especially under 1GB, consider using the [table.listRows](/api/rest-api/tables/listrows.md) endpoint.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
